import React, { ComponentType } from 'react';
import { ActionsType } from '../types';
export declare type CardTokens = {
    container: {
        [key: string]: string | void;
    };
};
declare type Props = {
    /** Buttons to render in the footer */
    actions?: ActionsType;
    /** An optional element rendered to the left of the footer actions */
    actionsBeforeElement?: React.ReactNode;
    /** The content of the card */
    children?: React.ReactNode;
    /** The container elements rendered by the component */
    components?: {
        Header?: ComponentType<any>;
        Footer?: ComponentType<any>;
    };
    /** The heading to be rendered above the body */
    heading?: React.ReactNode;
    /** An optional element rendered to the right of the heading */
    headingAfterElement?: React.ReactNode;
    /** The image to render above the heading. Can be a url or a Node. */
    image?: string | React.ReactNode;
    /** the theme of the card */
    theme?: any;
    innerRef?: React.RefObject<any>;
};
declare const _default: React.ForwardRefExoticComponent<Props & React.RefAttributes<unknown>>;
export default _default;
