/// <reference types="react" />
declare type Props = {
    /** Whether or not to display a pulse animation around the spotlighted element */
    pulse: boolean;
    style: {};
    /** The name of the SpotlightTarget */
    target?: string;
    /** The spotlight target node */
    targetNode: HTMLElement;
    /** The background color of the element being highlighted */
    targetBgColor?: string;
    /** Function to fire when a user clicks on the cloned target */
    targetOnClick?: ({ event, target, }: {
        event: MouseEvent;
        target?: string;
    }) => void;
    /** The border-radius of the element being highlighted */
    targetRadius?: number;
};
declare const Clone: (props: Props) => JSX.Element;
export default Clone;
