import React from 'react';
import { Props as SpotlightProps } from './Spotlight';
export declare type Props = {
    /** the spotlight tagert dom element */
    targetNode: HTMLElement;
    /** Called when the component has been mounted */
    onOpened: () => any;
    /** Called when the component has been unmounted */
    onClosed: () => any;
} & SpotlightProps;
declare class SpotlightInner extends React.Component<Props, {
    replacementElement: HTMLElement | void;
}> {
    static defaultProps: {
        dialogWidth: number;
        pulse: boolean;
    };
    state: {
        replacementElement: any;
    };
    componentDidUpdate(prevProps: Props): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    isPositionFixed: (element: HTMLElement) => boolean;
    hasPositionFixedParent: (element: HTMLElement) => any;
    getTargetNodeStyle: () => {
        height?: undefined;
        left?: undefined;
        top?: undefined;
        width?: undefined;
        position?: undefined;
    } | {
        height: number;
        left: number;
        top: number;
        width: number;
        position: string;
    };
    render(): JSX.Element;
}
export default SpotlightInner;
