import React, { ElementType, PureComponent, ReactNode } from 'react';
declare const TargetConsumer: React.ExoticComponent<React.ConsumerProps<{}>>;
declare type SpotlightContext = {
    opened: () => void;
    closed: () => void;
    targets: {
        [key: string]: HTMLElement | void;
    };
};
declare const SpotlightStateConsumer: React.ExoticComponent<React.ConsumerProps<{
    opened: () => void;
    closed: () => void;
    targets: {};
}>>;
export { TargetConsumer };
export { SpotlightStateConsumer as SpotlightConsumer };
declare type Props = {
    /** Boolean prop for toggling blanket transparency  */
    blanketIsTinted?: boolean;
    children: ReactNode;
    component?: ElementType;
};
export default class SpotlightManager extends PureComponent<Props, {
    spotlightCount: number;
    targets: {
        [key: string]: HTMLElement | void;
    };
}> {
    static defaultProps: {
        blanketIsTinted: boolean;
    };
    componentDidMount(): void;
    state: {
        spotlightCount: number;
        targets: {};
    };
    targetRef: (name: string) => (element: void | HTMLElement) => void;
    spotlightOpen: () => void;
    spotlightClose: () => void;
    getStateProviderValue: (this: any, targets: any) => SpotlightContext;
    render(): JSX.Element;
}
